Google Colab does not supporting Python 3.7

Want to use Faceswap in The Cloud? This is not directly supported by the Devs, but you may find community support here


Forum rules

Read the FAQs and search the forum before posting a new topic.

NB: The Devs do not directly support using Cloud based services, but you can find community support here.

Please mark any answers that fixed your problems so others can find the solutions.

Locked
User avatar
geoxyz123
Posts: 4
Joined: Wed Aug 19, 2020 1:09 pm

Google Colab does not supporting Python 3.7

Post by geoxyz123 »

Hi,

I have noticed that the latest version of Faceswap requires Python 3.7.

I am running the training on Google Colab which unfortunately supports Python up to version 3.6.9 only.

Is there any way to avoid the call that requires Python 3.7 while executing Faceswap? Or is there away to download and install an older version of Faceswap into Google Colab, such that Python 3.7 is not required?

I am using the following call in Colab to get the current Faceswap version:

Code: Select all

!git clone https://github.com/deepfakes/faceswap.git
Help would be much appreciated!

Best
by torzdf » Wed Aug 19, 2020 11:55 pm
You can still use version 1 of Faceswap whilst we wait for Google to catch up with the 21st Century

Code: Select all

!git clone --single-branch --branch r1.0 https://github.com/deepfakes/faceswap.git
Go to full post

User avatar
torzdf
Posts: 1503
Joined: Fri Jul 12, 2019 12:53 am
Answers: 126
Has thanked: 54 times
Been thanked: 288 times

Re: Google Colab does not supporting Python 3.7

Post by torzdf »

You can still use version 1 of Faceswap whilst we wait for Google to catch up with the 21st Century

Code: Select all

!git clone --single-branch --branch r1.0 https://github.com/deepfakes/faceswap.git

My word is final


User avatar
geoxyz123
Posts: 4
Joined: Wed Aug 19, 2020 1:09 pm

Re: Google Colab does not supporting Python 3.7

Post by geoxyz123 »

torzdf wrote: Wed Aug 19, 2020 11:55 pm You can still use version 1 of Faceswap whilst we wait for Google to catch up with the 21st Century
You, sir, are a genius. Thank you very much.

Locked